/*===================================================================================
 *                    Copyright(c) 2020 POSCO ICT
 *
 * Project            : workcenter-spi
 * Source File Name   : com.aworks.workcenter.spi.message.MessageService.java
 * Description        :
 * Author             : ddurung
 * Version            : 1.0.0
 * File Name related  :
 * Class Name related :
 * Created Date       : 2020. 4. 6.
 * Updated Date       : 2020. 4. 6.
 * Last modifier      : ddurung
 * Updated content    : 최초작성
 *
 *==================================================================================*/
package com.aworks.workcenter.spi.message;

import java.util.List;

/**
 * MessageService.java
 *
 * @author ddurung
 * @version 1.0.0
 * @since 2020. 4. 6.
 */
public interface MessageService {

    /**
     * Send the message
     *
     * @param message the message
     * @throws Exception
     */
    public void send( Message message ) throws Exception;

    /**
     * Send the message list
     *
     * @param messages the message list
     * @throws Exception
     */
    default public void sendAll( List<Message> messages ) throws Exception {
        for ( Message message : messages ) {
            this.send( message );
        }
    }

}
